Impresora HP Deskjet 2540 series no imprime por wifi deepin 15.11 (funcionaba en 15.9)  


Radec
Respuestas: 1
Registrado
(@radec)
Nuevo(a) Integrante
Registrado: hace 3 meses

He intentado configurar la impresora por usb y wifi por separados funcionando por usb y por wifi no. El caso actual, en el que tengo los dos configurados a la vez,  es solo para demostrar el fallo comparandolos.

Adjunto un vídeo que demuestra el problema.

https://drive.google.com/file/d/144JmmdO6dRJxj6p6sCZPW3EeqwwdRKZ7/view?usp=sharing

 

Responder
4 Respuestas
EchedeyLR
Respuestas: 12
Registrado
(@echedeylr)
Integrante Activo
Registrado: hace 8 meses

Buenas noches.

He estado asistiendole durante el proceso de configuración de la impresora. Le he comentado que lo incluya aquí porque no parece ser un error en los controladores, dado que la impresora es perfectamente detectada y agregada por usb y wifi, así como proveer información correspondiente de su estado, y por usb se puede imprimir sin problemas.

Como se ve, durante la impresión por wifi parece que el trabajo es enviado correctamente a la impresora pero no es procesado para su impresión.

Como comentario adicional he de decir que intentamos visualizar la configuración a través del panel web de cups pero al que al menos no hemos podido conectarnos (debería ser localhost:631) y sin embargo el servicio estaba marcado como corriendo (también hemos probado a reiniciarlo). No estoy seguro si tiene algo que ver.

También he de decir que se trata de una instalación de 0 de Deepin 15.11 cuyo unico paquete extra instalado relacionado con la impresión es "hplip-gui", el resto estaban ya instalados por defecto.

Responder
3 Respuestas
Eli
 Eli
Moderador
(@eli)
Registrado: hace 2 años

Integrante Honorable
Respuestas: 501

@radec y @echedeylr

Abre una terminal y escribe lo siguiente:

hp-setup

Eso debía configurar las cosas, si da errores muestren aquí el retorno. También en una terminal escribe lo siguiente:

hp-check

Igual escriban el resultado aquí.

Responder
EchedeyLR
Registrado
(@echedeylr)
Registrado: hace 8 meses

Integrante Activo
Respuestas: 12

@eli

Buenas tardes y muchas gracias por reubicar la publicación en el lugar correspondiente.

Quizás debía ser mas específico en la respuesta anterior.

 

El motivo por el cual el vídeo de ejemplo lo presentamos con la herramienta gráfica de HPLIP es debido a que añadimos las impresoras usando dicho software.

Para ser mas claros, a excepción de la impresora por USB, la cual es añadida totalmente gráficamente, la configuración por wifi, la establecimos usando "hp-setup 192.xxx.x.xx" (las equis para no poner la ip completa aquí) y la misma fue añadida sin ninguna clase de error.

Tal y como se especifica arriba no hay problema recibiendo información de estado por wifi. Ciertamente va con ligero retraso respecto a la información por usb y en el vídeo no se muestra correctamente pero lo normal durante la impresión por usb en las pruebas que hicimos es que cuando se imprime por usb, en la herramienta gráfica se pone el reloj de arena de peticiones siendo procesadas y uno o dos segundos mas tarde aparece en la conexión por wifi.

También supusimos que quizás habría que reconfigurar la impresora de 0 y usamos el procedimiento desde la herramienta HPLIP gráficamente de, conectar por usb, indicar a la impresora a que red debe conectarse y una vez conectada correctamente, recibimos el comando "hp-setup ip-impresora-actual" indicandonos el software que debe ser ejecutado. Procedemos y es el mismo caso anterior, sin problemas y recibiendo correctamente la información de estado.

Luego probaremos con "hp-check" para revisar si hace algo distinto de actualizar el estado. También hemos llevado a cabo reinicios del sistema luego de añadir la impresora y las pruebas para revisar correctamente si, al cargar la aplicación de nuevo en el arranque, esta nos decía que la impresora por wifi estaba desconectada. Sin problemas otra vez y recibiendo la información de estado correctamente.

Responder
EchedeyLR
Registrado
(@echedeylr)
Registrado: hace 8 meses

Integrante Activo
Respuestas: 12

@eli

Aquí tienes la salida de hp-check en las mismas condiciones de la prueba del vídeo.

Lo que mas me deja con dudas es la parte de dependencias externas. Sé que algunas son opcionales como xsane pero el hecho de que salga cups como no instalado o corriendo es lo que me deja bastantes dudas respecto a la experiencia que anteriormente mencioné. Por otro caso está dbus. Repito que se trata de una instalación por defecto de Deepin 15.11 debido al cambio de base y cuyo único paquete extra instalado relacionado con la impresión ha sido "hplip-gui". Tampoco se ha desinstalado los abajo mencionados aunque tampoco hemos revisado todos y cada uno si venían instalados por defecto (aunque se sabe que cups y dbus son obligatorios)

hp-check[15409]: info: :
hp-check[15409]: info: :[01mHP Linux Imaging and Printing System (ver. 3.16.11)[0m
hp-check[15409]: info: :[01mDependency/Version Check Utility ver. 15.1[0m
hp-check[15409]: info: :
hp-check[15409]: info: :Copyright (c) 2001-15 HP Development Company, LP
hp-check[15409]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[15409]: info: :This is free software, and you are welcome to distribute it
hp-check[15409]: info: :under certain conditions. See COPYING file for more details.
hp-check[15409]: info: :
hp-check[15409]: info: :[01mNote: hp-check can be run in three modes:[0m
hp-check[15409]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the  
hp-check[15409]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies  
hp-check[15409]: info: :are installed to successfully compile HPLIP.                                      
hp-check[15409]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro      
hp-check[15409]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has
hp-check[15409]: info: :the proper dependencies installed to successfully run.                            
hp-check[15409]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode will
hp-check[15409]: info: :check both of the above cases (both compile- and run-time dependencies).          
hp-check[15409]: info: :
hp-check[15409]: info: :Check types:                                                                      
hp-check[15409]: info: :a. EXTERNALDEP - External Dependencies                                            
hp-check[15409]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)      
hp-check[15409]: info: :c. COMPILEDEP - Compile time Dependencies                                         
hp-check[15409]: info: :d. [All are run-time checks]                                                      
hp-check[15409]: info: :PYEXT SCANCONF QUEUES PERMISSION                                                  
hp-check[15409]: info: :
hp-check[15409]: info: :Status Types:
hp-check[15409]: info: :    OK
hp-check[15409]: info: :    MISSING       - Missing Dependency or Permission or Plug-in
hp-check[15409]: info: :    INCOMPAT      - Incompatible dependency-version or Plugin-version
hp-check[15409]: info: :
warning: deepin distro is not found in AUTH_TYPES
warning: [01m0-"15.11" version is not supported. Using 0-0 versions dependencies to verify and install...[0m
hp-check[15409]: info: :
hp-check[15409]: info: :---------------
hp-check[15409]: info: 😐 SYSTEM INFO |
hp-check[15409]: info: :---------------
hp-check[15409]: info: :
hp-check[15409]: info: : Kernel: 4.15.0-30deepin-generic #31 SMP Fri Nov 30 04:29:02 UTC 2018 GNU/Linux
 Host: javi-PC
 Proc: 4.15.0-30deepin-generic #31 SMP Fri Nov 30 04:29:02 UTC 2018 GNU/Linux
 Distribution: 0 "15.11"
hp-check[15409]: info: : Bitness: 64 bit

hp-check[15409]: info: :
hp-check[15409]: info: :-----------------------
hp-check[15409]: info: 😐 HPLIP CONFIGURATION |
hp-check[15409]: info: :-----------------------
hp-check[15409]: info: :
hp-check[15409]: info: :HPLIP-Version: HPLIP 3.16.11
hp-check[15409]: info: :HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 0 distro  "15.11" version
hp-check[15409]: info: :
hp-check[15409]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[15409]: info: :# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.16.11

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip
html=/usr/share/doc/hplip-doc
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.11
restricted-build=no
ui-toolkit=qt5
qt3=no
qt4=no
qt5=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no

hp-check[15409]: info: :
hp-check[15409]: info: :[01mCurrent contents of '/var/lib/hp/hplip.state' file:[0m
hp-check[15409]: info: :Plugins are not installed. Could not access file: No such file or directory
hp-check[15409]: info: :
hp-check[15409]: info: :[01mCurrent contents of '~/.hplip/hplip.conf' file:[0m
hp-check[15409]: info: :[commands]
scan = /usr/bin/simple-scan %SANE_URI%

[fax]
email_address =
voice_phone =

[last_used]
device_uri = "hp:/net/Deskjet_2540_series?ip=192.168.1.38"
printer_name = Deskjet_2540
working_dir = .

[polling]
device_list =
enable = false
interval = 5

[refresh]
enable = false
rate = 30
type = 1

[settings]
systray_messages = 0
systray_visible = 0

[upgrade]
last_upgraded_time = 1564176737
notify_upgrade = false
pending_upgrade_time = 0

[installation]
date_time = 07/27/19 18:49:41
version = 3.16.11

hp-check[15409]: info: : <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>
hp-check[15409]: info: :
hp-check[15409]: info: :--------------
hp-check[15409]: info: 😐 COMPILEDEP |
hp-check[15409]: info: :--------------
hp-check[15409]: info: :
hp-check[15409]: info: : make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
hp-check[15409]: info: :[31;01m error: libtool       libtool - Library building support services                  REQUIRED        -               -               MISSING    'libtool needs to be installed'[0m
hp-check[15409]: info: : gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               6.3.0           OK         -
hp-check[15409]: info: :
hp-check[15409]: info: :---------------------
hp-check[15409]: info: 😐 Python Extentions |
hp-check[15409]: info: :---------------------
hp-check[15409]: info: :
hp-check[15409]: info: : hpmudext             IO-Extension                                                 REQUIRED        -               3.16.11         OK         -
hp-check[15409]: info: : cupsext              CUPS-Extension                                               REQUIRED        -               3.16.11         OK         -
hp-check[15409]: info: :
hp-check[15409]: info: :----------------------
hp-check[15409]: info: 😐 Scan Configuration |
hp-check[15409]: info: :----------------------
hp-check[15409]: info: :
hp-check[15409]: info: :'/etc/sane.d/dll.d/hpaio' not found.
hp-check[15409]: info: : hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.16.11         OK         'hpaio found in /etc/sane.d/dll.conf'
hp-check[15409]: info: : scanext              Scan-SANE-Extension                                          REQUIRED        -               3.16.11         OK         -
hp-check[15409]: info: :
hp-check[15409]: info: :------------------------
hp-check[15409]: info: 😐 General Dependencies |
hp-check[15409]: info: :------------------------
hp-check[15409]: info: :
hp-check[15409]: info: : sane                 SANE - Scanning library                                      REQUIRED        -               -               OK         -
hp-check[15409]: info: : python3-pil          PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
hp-check[15409]: info: :[31;01m error: libjpeg       libjpeg - JPEG library                                       REQUIRED        -               -               MISSING    'libjpeg needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: python3-pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             -               MISSING    'python3-pyqt4 needs to be installed'[0m
hp-check[15409]: info: : libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.1.0           OK         -
hp-check[15409]: info: : python3-xml          Python XML libraries                                         REQUIRED        -               2.2.0           OK         -
hp-check[15409]: info: :[31;01m error: python3-devel Python devel - Python development files                      REQUIRED        2.2             3.5.3           MISSING    'python3-devel needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: python3-pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4                         OPTIONAL        4.0             -               MISSING    'python3-pyqt4-dbus needs to be installed'[0m
hp-check[15409]: info: : libpthread           libpthread - POSIX threads library                           REQUIRED        -               b'2.24'         OK         -
hp-check[15409]: info: : python3X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.5.3           OK         -
hp-check[15409]: info: : cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
hp-check[15409]: info: :[31;01m error: cups-devel    CUPS devel- Common Unix Printing System development files    REQUIRED        -               -               MISSING    'cups-devel needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: libusb        libusb - USB library                                         REQUIRED        -               1.0             MISSING    'libusb needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: sane-devel    SANE - Scanning library development files                    REQUIRED        -               -               MISSING    'sane-devel needs to be installed'[0m
hp-check[15409]: info: : python3-reportlab    Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
hp-check[15409]: info: :[31;01m error: libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           -               MISSING    'libnetsnmp-devel needs to be installed'[0m
hp-check[15409]: info: : python3-dbus         Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.4           OK         -
hp-check[15409]: info: :[31;01m error: cups-image    CUPS image - CUPS image development files                    REQUIRED        -               -               MISSING    'cups-image needs to be installed'[0m
hp-check[15409]: info: : python3-notify2      Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
hp-check[15409]: info: :
hp-check[15409]: info: :-------------------------
hp-check[15409]: info: 😐 External Dependencies |
hp-check[15409]: info: :-------------------------
hp-check[15409]: info: :
hp-check[15409]: info: :[31;01m error: dbus          DBus - Message bus system                                    REQUIRED        -               1.10.26         MISSING    'DBUS may not be installed or not running'[0m
hp-check[15409]: info: :[31;01m error: avahi-utils   avahi-utils                                                  OPTIONAL        -               -               MISSING    'avahi-utils needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: xsane         xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             -               MISSING    'xsane needs to be installed'[0m
hp-check[15409]: info: :[31;01m error: scanimage     scanimage - Shell scanning program                           OPTIONAL        1.0             -               MISSING    'scanimage needs to be installed'[0m
hp-check[15409]: info: : policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
hp-check[15409]: info: : gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.26            OK         -
hp-check[15409]: info: :[31;01m error: cups          CUPS - Common Unix Printing System                           REQUIRED        1.1             -               INCOMPAT   'CUPS may not be installed or not running'[0m
hp-check[15409]: info: : network              network -wget                                                OPTIONAL        -               1.18            OK         -
hp-check[15409]: info: :
hp-check[15409]: info: :------------------------------
hp-check[15409]: info: 😐 DISCOVERED SCANNER DEVICES |
hp-check[15409]: info: :------------------------------
hp-check[15409]: info: :
hp-check[15409]: info: :
hp-check[15409]: info: :--------------------------
hp-check[15409]: info: 😐 DISCOVERED USB DEVICES |
hp-check[15409]: info: :--------------------------
hp-check[15409]: info: :
hp-check[15409]: info: :  Device URI                        Model                 
hp-check[15409]: info: :  --------------------------------  ----------------------
hp-check[15409]: info: :  hp:/usb/Deskjet_2540_series?seri  HP Deskjet 2540 series
  al=CN4CJ5F03N0604                                       
hp-check[15409]: info: :
hp-check[15409]: info: :---------------------------------
hp-check[15409]: info: 😐 INSTALLED CUPS PRINTER QUEUES |
hp-check[15409]: info: :---------------------------------
hp-check[15409]: info: :
hp-check[15409]: info: :
hp-check[15409]: info: :[01mDeskjet_2540[0m
hp-check[15409]: info: :[01m------------[0m
hp-check[15409]: info: :Type: Printer
hp-check[15409]: info: :Device URI: hp:/net/Deskjet_2540_series?ip=192.168.1.38
hp-check[15409]: info: :PPD: /etc/cups/ppd/Deskjet_2540.ppd
hp-check[15409]: info: :PPD Description: HP Deskjet 2540 Series, hpcups 3.16.11
hp-check[15409]: info: :Printer status: la impresora Deskjet_2540 está inactiva.  activada desde vie 26 jul 2019 23:14:41 WEST
hp-check[15409]: info: :Communication status: Good
hp-check[15409]: info: :
hp-check[15409]: info: :[01mDeskjet_2540_2[0m
hp-check[15409]: info: :[01m--------------[0m
hp-check[15409]: info: :Type: Printer
hp-check[15409]: info: :Device URI: hp:/usb/Deskjet_2540_series?serial=CN4CJ5F03N0604
hp-check[15409]: info: :PPD: /etc/cups/ppd/Deskjet_2540_2.ppd
hp-check[15409]: info: :PPD Description: HP Deskjet 2540 Series, hpcups 3.16.11
hp-check[15409]: info: :Printer status: la impresora Deskjet_2540_2 está inactiva.  activada desde vie 26 jul 2019 23:38:42 WEST
hp-check[15409]: info: :Communication status: Good
hp-check[15409]: info: :
hp-check[15409]: info: :
hp-check[15409]: info: :--------------
hp-check[15409]: info: 😐 PERMISSION |
hp-check[15409]: info: :--------------
hp-check[15409]: info: :
hp-check[15409]: info: :USB             Deskjet_2540_2                 Required        -        -        OK       Node:'/dev/bus/usb/001/004' Perm:'  root  lp rw- rw- rw- rw- rw- r--'
hp-check[15409]: info: :
hp-check[15409]: info: :-----------
hp-check[15409]: info: 😐 SUMMARY |
hp-check[15409]: info: :-----------
hp-check[15409]: info: :
hp-check[15409]: info: :[01mMissing Required Dependencies[0m
hp-check[15409]: info: :[01m-----------------------------[0m
hp-check[15409]: info: :None
hp-check[15409]: info: :
hp-check[15409]: info: :[01mMissing Optional Dependencies[0m
hp-check[15409]: info: :[01m-----------------------------[0m
hp-check[15409]: info: :None

hp-check[15409]: info: :
hp-check[15409]: info: :Total Errors: 15
hp-check[15409]: info: :Total Warnings: 0
hp-check[15409]: info: :
hp-check[15409]: info: :
hp-check[15409]: info: :Done.

Responder
Comparte:

Por favor Iniciar Sesión o Registro